---

stages:
  - linting
  - test

variables:
  SPELLING_PATH_EXCLUSION: ''
  MARKDOWN_ENABLED: "True"
  RST_ENABLED: "False"

spelling:
  stage: linting
  image:
    name: jdkato/vale
    entrypoint: [""]
  before_script:
    - |
      if [ -z "${SPELLING_PATH_EXCLUSION}" ]
      then
        echo "No path exclusion set"
        export PATH_EXCL_CMD=""
      else
        echo "Path exclusion set to ${SPELLING_PATH_EXCLUSION}"
        export \
          PATH_EXCL_CMD="-type d -path ${SPELLING_PATH_EXCLUSION} -prune -o"
      fi
  script:
    - |
      if [ "${MARKDOWN_ENABLED}" == "True" ]
      then
        find . $PATH_EXCL_CMD -iname '*.md' -print | xargs vale
      fi
    - |
      if [ "${RST_ENABLED}" == "True" ]
      then
        find . $PATH_EXCL_CMD -iname '*.rst' -print | xargs vale
      fi
  rules:
    - if: '$SPELLING_CHECK_DISABLED || $JOBS_DISABLED'
      when: never
    - if: $CI_MERGE_REQUEST_ID
      when: never
    - when: on_success
